"""temporal products fixed

Revision ID: 0e326930b8a4
Revises: 3609c44430c8
Create Date: 2021-10-22 09:36:11.746119

"""
import sqlalchemy as sa

from alembic import op
from sqlalchemy import column, func, table, text
from sqlalchemy.dialects import postgresql


# revision identifiers, used by Alembic.
revision = "0e326930b8a4"
down_revision = "3609c44430c8"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_unique_constraint(op.f("uq_vouchers_bill_id"), "vouchers", ["bill_id", "voucher_type"])

    prod = table(
        "product_versions",
        column("id", postgresql.UUID(as_uuid=True)),
        column("product_id", postgresql.UUID(as_uuid=True)),
        column("valid_from", sa.Date()),
        column("valid_till", sa.Date()),
    )

    op.create_exclude_constraint(
        "uq_product_versions_product_id",
        "product_versions",
        (prod.c.product_id, "="),
        (func.daterange(prod.c.valid_from, prod.c.valid_till, text("'[]'")), "&&"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_constraint(op.f("uq_vouchers_bill_id"), "vouchers", type_="unique")
    # ### end Alembic commands ###
