import uuid

from barker.models.meta import Base
from sqlalchemy import Boolean, Column, Unicode, text
from sqlalchemy.dialects.postgresql import UUID
from sqlalchemy.orm import relationship
from sqlalchemy.sql import expression


class Customer(Base):
    __tablename__ = "customers"

    id = Column(
        "id", UUID(as_uuid=True), primary_key=True, server_default=text("gen_random_uuid()"), default=uuid.uuid4
    )
    name = Column("name", Unicode(255), nullable=False)
    phone = Column("phone", Unicode(255), nullable=False, unique=True)
    address = Column("address", Unicode(255), nullable=True)
    print_in_bill = Column("print_in_bill", Boolean, server_default=expression.false(), default=False, nullable=False)

    discounts = relationship("CustomerDiscount", back_populates="customer")

    @property
    def __name__(self):
        return self.name

    def __init__(self, name=None, phone=None, address=None, print_in_bill=None, id_=None):
        self.name = name
        self.phone = phone
        self.address = address
        self.print_in_bill = print_in_bill
        self.id = id_

    @classmethod
    def cash(cls):
        return uuid.UUID("2c716f4b-0736-429a-ad51-610d7c47cb5e")
