import uuid

from pydantic import BaseModel

from . import to_camel


class MergeKot(BaseModel):
    voucher_id: uuid.UUID
    kot_id: uuid.UUID
    table_id: uuid.UUID
    new_voucher_id: uuid.UUID

    class Config:
        alias_generator = to_camel
        fields = {"id_": "id"}


class MoveKot(BaseModel):
    voucher_id: uuid.UUID
    kot_id: uuid.UUID
    table_id: uuid.UUID

    class Config:
        alias_generator = to_camel
        fields = {"id_": "id"}


class MergeTable(BaseModel):
    voucher_id: uuid.UUID
    table_id: uuid.UUID
    new_voucher_id: uuid.UUID

    class Config:
        alias_generator = to_camel
        fields = {"id_": "id"}


class MoveTable(BaseModel):
    voucher_id: uuid.UUID
    table_id: uuid.UUID

    class Config:
        alias_generator = to_camel
        fields = {"id_": "id"}
