import { Injectable } from '@angular/core';
import { ActivatedRouteSnapshot, Resolve } from '@angular/router';
import { Observable } from 'rxjs';

import { ProductUpdatesReport } from './product-updates-report';
import { ProductUpdatesReportService } from './product-updates-report.service';

@Injectable({
  providedIn: 'root',
})
export class ProductUpdatesReportResolver implements Resolve<ProductUpdatesReport> {
  constructor(private ser: ProductUpdatesReportService) {}

  resolve(route: ActivatedRouteSnapshot): Observable<ProductUpdatesReport> {
    const startDate = route.queryParamMap.get('startDate') || null;
    const finishDate = route.queryParamMap.get('finishDate') || null;
    return this.ser.get(startDate, finishDate);
  }
}
