import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';
import { TaxListResolver } from '../taxes/tax-list-resolver.service';

import { SettleOptionDetailComponent } from './settle-option-detail/settle-option-detail.component';
import { SettleOptionListResolver } from './settle-option-list-resolver.service';
import { SettleOptionListComponent } from './settle-option-list/settle-option-list.component';
import { SettleOptionResolver } from './settle-option-resolver.service';

const settleOptionsRoutes: Routes = [
  {
    path: '',
    component: SettleOptionListComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Owner',
    },
    resolve: {
      list: SettleOptionListResolver,
    },
  },
  {
    path: 'new',
    component: SettleOptionDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Owner',
    },
    resolve: {
      item: SettleOptionResolver,
    },
  },
  {
    path: ':id',
    component: SettleOptionDetailComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Owner',
    },
    resolve: {
      item: SettleOptionResolver,
    },
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(settleOptionsRoutes)],
  exports: [RouterModule],
  providers: [SettleOptionListResolver, SettleOptionResolver],
})
export class SettleOptionsRoutingModule {}
